Crashing under older Mac OS

Crashing under older Mac OS

Post by Steve Lamp » Wed, 19 Apr 2006 03:58:56


We have a large legacy project in Mac CW 10.0, that is still targeting
CFM not Mach-o. The project is compiling and running successfully under
Tiger, but when I try to launch the App which works fine under tiger, on
Panther, it just flickers, and starts to load the app, and then quits.
I have tried to add code into our init code to see if I could pop up a
message or something to try to see where it is crashing, but it looks
like it's never getting to any of our executable code at all.
If someone could let me know if they have any ideas about what we may be
missing, I would appreciate it. I wouldn''t mind not supporting
Panther, but I need to at least be able to post an error message saying
that a newer version of the OS is necessary.
If more information about our project is needed, feel free to ask

I would really appreciate any feedback with suggestions as to what may be
going on.

Thanks,

-Steve Lamperti
 
 
 

Crashing under older Mac OS

Post by David Phil » Wed, 19 Apr 2006 15:23:05

In article <QzR0g.16608$ XXXX@XXXXX.COM >,



Set up your access paths to /Developer/SDKs/MacOSX10.3.9.sdk instead of /
and see what system calls you are calling that didn't exist in 10.3.
Weak link, and check that those calls are non-zero before calling them.

For runtime system version determination of Panther, see
< http://www.yqcomputer.com/ ;.